<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" height="80"
			   xmlns:mx="library://ns.adobe.com/flex/mx" title="Relatorio Clientes Novos" close="titlewindow1_closeHandler(event)" creationComplete="titlewindow1_creationCompleteHandler(event)" xmlns:visual="br.com.desenv.framework.component.visual.*">
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			import br.com.desenv.framework.util.IgnReportUtil;
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void
			{
				
			}
			protected function btnImprimir_clickHandler(event:MouseEvent):void
			{
				if(validarForm=="OK")
				{
					var classe:String  = "br.com.desenv.nepalign.relatorios.RelatorioCliente"
					var acaoMethod:String = "gerarRelatorioClientesNovos";
					var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO")); 
					var param:URLVariables = new URLVariables(); 			  
					param.classe = classe;
					param.acao = acaoMethod;
					param.dataInicial = this.dsvPeriodo.dataInicial;
					param.dataFinal = this.dsvPeriodo.dataFinal;
					/*urlReq.data = param;
					 //usando método POST  
					navigateToURL(urlReq, "_blank"); //chama Servlet em uma nova página 
					*/
					new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
				}
			}
			protected function get validarForm():String
			{
				if(this.dsvPeriodo.dataInicial.length < 1)
					return "Data inicial invalida";
				if(this.dsvPeriodo.dataFinal.length < 1)
					return "Data final inválida";
				
				return "OK";
			}
			
		]]>
	</fx:Script>
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	<mx:Grid>
		<mx:GridRow>
			<mx:GridItem>
				<visual:DsvPeriodo id="dsvPeriodo"/>
			</mx:GridItem>
			<mx:GridItem>
				<mx:VBox>
					<s:Spacer height="17" />
					<s:Button id="btnImprimir" label="Imprimir" click="btnImprimir_clickHandler(event)" />
				</mx:VBox>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>
